<?php
if ($setting['allow_media_upload'] == "true") {

 if (isset($_POST['cancel'])) {?>
		<script language="javascript" type="text/javascript">
			<!--
			window.location.replace(
			 "./admin.php?module=media");
			-->
        </script>
	<?php }

	function form_upload() {
	
		global $setting;
		
		//On convertie les deux en Mo et on vrifie qui a priorit 
		//entre la valeur maximum permit par php et la valeur max permit par le fichier conf.
		if (number_format(ini_get('upload_max_filesize')) > $setting['media_file_max_size']/1048576) {
			$max_file_display = size_readable($setting['media_file_max_size']);
			$max_file_value = $setting['media_file_max_size'];
			
		} else {
			$max_file_display = ini_get('upload_max_filesize')."o";
			$max_file_value = number_format(ini_get('upload_max_filesize'))*1048576;
		
		}
	
		?>
		S&eacute;lectionner un fichier <span class="detail">(Taille maximal: <?php echo $max_file_display; ?>):</span><br />
        <table border="1" class="table">
        <tr>
        <td align="left">
		<form method="post" enctype="multipart/form-data" action="admin.php?module=media&action=add">
		<input type="file" name="fichier" size="30"><br /><br />
		<input type="hidden" value="<?php echo $max_file_value ?>" name="max_size" />
		<input type="submit" name="upload" value="Envoyer"><input type="submit" name="cancel" value="Annuler">
		</form> 
        </td>
        </tr>
        </table>
		<br />
		<span class="detail">NB: Les formats autoriss sont ".png", ".jpg", ".gif" et ".bmp".</span>
	   

		<?php
	
	}
	
	//fonction qui transfome les B en Ko, Mo, etc.
	function size_readable ($size, $retstring = null) {
			// adapted from code at http://aidanlister.com/repos/v/function.size_readable.php
			$sizes = array('B', 'Kb', 'Mb', 'Gb', 'Tb', 'Pb', 'Eb', 'Zb', 'Yb');
			if ($retstring === null) { $retstring = '%01.2f %s'; }
			$lastsizestring = end($sizes);
			foreach ($sizes as $sizestring) {
					if ($size < 1024) { break; }
					if ($sizestring != $lastsizestring) { $size /= 1024; }
			}
			if ($sizestring == $sizes[0]) { $retstring = '%01d %s'; }
			return sprintf($retstring, $size, $sizestring);
	}
	
	//fonction qui va chercher la taille du dossier media
	function dskspace($dir) 
	{ 
	   $s = @stat($dir) or die ("<span class='error'>Erreur: Il y a surement une erreur dans le chemin spcifi vers le dossier media.</span>"); 
	   $space = $s["blocks"]*512; 
	   if (is_dir($dir)) 
	   { 
		 $dh = opendir($dir); 
		 while (($file = readdir($dh)) !== false) 
		   if ($file != "." and $file != "..") 
			 $space += dskspace($dir."/".$file); 
		 closedir($dh); 
	   } 
	   return $space; 
	} 
	
	function is_empty_folder($dir)
	{
		if ($dh = @opendir($dir))
		{
			while ($file = readdir($dh))
			{
				if ($file != '.' && $file != '..') {
					closedir($dh);
					return false;
				}
			}
			closedir($dh);
			return true;
		}
		else return false; // whatever the reason is : no such dir, not a dir, not readable
	}
	
	
	if (isset($_POST['upload'])) {
	
		$content_dir = $setting['media_dir']."/".($_SESSION['user']); // dossier o sera dplac le fichier
	
		$tmp_file = $_FILES['fichier']['tmp_name'];
	
		if( !is_uploaded_file($tmp_file) ) {
		
			?><span class="error">Le fichier est introuvable</span><br /><br /><?php
			form_upload();
			exit();
		}
	
		//on vrifie que le fichier ne dpasse pas la taille limite
		if ($_FILES['fichier']['size'] > $_POST['max_size']) {
		
			 ?><span class="error">Le fichier est trop volumineux</span><br /><br /><?php
			form_upload();
			exit();
		}
	
			
		// on vrifie maintenant l'extension
		$type_file = $_FILES['fichier']['type'];
		
	
		if( !strstr($type_file, 'jpg') && !strstr($type_file, 'jpeg') && !strstr($type_file, 'png') && !strstr($type_file, 'bmp') && !strstr($type_file, 'gif') )
		{
			?><span class="error">Le type du fichier n'est pas autoris.</span><br /><br /><?php
			form_upload();
			exit();
		}
		
		//on vrifie si le dossier et dj crer
		
		if (is_dir($content_dir) == false) {
		
		 	mkdir ($content_dir, 0777);
			
		}
	
		// on copie le fichier dans le dossier de destination
		//$name_file =  ($_SESSION['user'])."_".$_FILES['fichier']['name']; -- OLD
		$name_file =  $_FILES['fichier']['name'];
		
		if( preg_match('#[\x00-\x1F\x7F-\x9F/\\\\]#', $name_file) )
		{
				echo $name_file;
			  ?><span class="error">Nom de fichier invalide</span><br /><br /><?php
			 form_upload();
			 exit();
		}
		else if( !move_uploaded_file($tmp_file, $content_dir."/". $name_file) )
		{
			?><span class="error">Impossible de copier le fichier (problme de permission?)</span><br /><br /><?php
			form_upload();
			exit();
		}
	
		?><span class="succes">Le fichier a bien &eacute;t&eacute; upload&eacute;!</span><br />
		<a class="retour" href="admin.php?module=media" title="Retour">Retour</a><?php
		
	
	
	} else if ($_GET['action'] == "add") {
	
		form_upload();
	
	} else if ($_GET['del'] != "null") {
	
		$myFile = $setting['media_dir']."/".($_SESSION['user'])."/".$_GET['del'];
		unlink($myFile);
		
		$myDir = $setting['media_dir']."/".($_SESSION['user']);
		//if (is_empty_folder($myDir)) { 
			@rmdir($myDir);
		//}
		
		?>
			<script language="javascript" type="text/javascript">
			<!--
			window.location.replace("./admin.php?module=media");
			-->
			</script>
		<?php
	
	
///////////
//TABLEAU//
///////////

	} else {
	
	//On va chercher l'URL de l'application
	$app_url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
	$app_url = substr($app_url,0 ,-10);
	if (!isset($dir)) $dir = "";
	
		//on calcule le poucentage de media utilis.
		$percent =  (dskspace($setting['media_dir'])/$setting['media_dir_max_size']*100);
		$space_used = dskspace($setting['media_dir']);
		$space_left = $setting['media_dir_max_size'] - dskspace($setting['media_dir']);
		
		settype($percent,'integer'); 
	
		//on affiche les images
		$folder = $setting['media_dir']."/".($_SESSION['user']);		
		if (is_dir($folder) == false) {
			$i = "<strong>aucun</strong>";
			
		} else {
		
			$i = 0;
			$d = @dir($folder);
			while (false !== ($entry = $d->read())) {
				if($entry != '.' && $entry != '..' && !is_dir($dir.$entry)) {
					$item[] = $entry;
					
					
					$i++;
				}
			} 
			$d->close();
			
		}	
	
	?><table border="0">
		  <tr>
			<td class="detail">
				Vous avez <?php echo $i; ?> fichier<?php if ($i > 1) {echo "s";}?> dans votre rpertoir.<br />
                Espace utilis&eacute;: <?php echo size_readable($space_used); ?><br />
            	Espace restant: <?php echo size_readable($space_left); ?><br />
			</td>
			<td align="right">
				<div align="left" title="<?php echo $percent;?>% du r&eacute;pertoir principal utilis&eacute;" class="percent_bar">
					<img src="template/<?php echo $setting['template'] ?>/images/bar.png"  height="15px" width="<?php if ($percent-2 > 0) { echo $percent-2; } else { echo $percent; } ?>%" />
				</div>
			 </td>
		  </tr>
		  <tr>
			<td colspan="2">
            <?php if ($i >= 1) { ?>
				<table class="table" border="1">
					<tr>
					 <td>
						<SCRIPT LANGUAGE="JavaScript">
									function confirmation($str) {
									var msg = "\312tes-vous s\373r de vouloir supprimer ce fichier?";
									if (confirm(msg))
										window.location.replace("admin.php?module=media&del="+$str+"");
									}
						</SCRIPT>
						<?php 
						if (is_dir($folder) == true) {	
							//boucles pour trouver tous les lments.
							$item[$i] = "";
							$i = 0;
							while ($item[$i] != "") {
								
							
								$extension = strrchr($item[$i],'.');
								
							
								if ($extension == ".png" or $extension == ".jpg" or $extension == ".jpeg" or $extension == ".gif" or $extension == ".JPG"  or $extension == ".bmp") {
									?><table border="0">
									  <tr>
										<td align="center" width="300px" rowspan="4">
											<a target="_blank" title="Voir l'image" href="<?php echo $folder."/".$item[$i] ?>"> 
											<img class="bbcode_img" border="0" src="<?php echo $folder."/".$item[$i]; ?>" />
                                            </a>
                                        </td>
										<td>
											<span class="texte1" id="media">URL: </span><br />
											<input size="35" type="text" readonly="readonly" value="<?php echo $app_url."/".$folder."/".$item[$i]; ?>" />
                                        </td>
									  </tr>
									  <tr>
										<td><span class="texte1" id="media">BBcode: </span><br />
										  <input size="32" type="text" readonly="readonly" value="[img]<?php echo $app_url."/".$folder."/".$item[$i]; ?>[/img]" /></td>
									  </tr>
									  <tr>
										<td>
											<a title="Supprimmer l'image" href="javascript:confirmation('<?php echo $item[$i]; ?>');">
											<img src="template/<?php echo $setting['template'] ?>/images/delete.png" border="0" title="Supprimmer" />
											</a>
										</td>
									  </tr>
									</table>
									
									<?php
									
								} else {
									
									?>
									<div align="left"><a title="Voir l'item" href="<?php echo $folder."/".$item[$i] ?>">
									<?php echo $item[$i]; ?>
									</a><br />
									<a title="Supprimer l'item" href="javascript:confirmation(<?php echo $item[$i]; ?>);">
									<img src="template/<?php echo $template ?>/images/delete.png" border="0" title="Supprimmer" /></a>
									</div>
									<?php
								
								}
								
								?><br /><?php
								
								
								$i++;
								} 
							} 
				
						?>
					 </td>
					</tr>
				</table>
                <?php } ?>
			  </td>
			</tr>
		</table>
		<a title="Ajouter une image" href="admin.php?module=media&action=add">
			<img src='template/<?php echo $setting['template'] ?>/images/add.png' border='0' title="Ajouter une image">
		</a>
		
	<?php
	}
	
} else {
	?><span class="error">Vous n'avez pas acc&egrave;s &agrave; ce module</span><?php
}



?>