<?php 
session_name('HMN_Journal_v3_0');
session_start();

//on vérifie si l'application est installé
if (!file_exists('config/conf.php')) {
	echo "Script non configur&eacute; - Renseignez-vous aupr&egrave; de la documentation du script";

//si c'est installé
} else {

	//On inclus les fichiers nécessaires
	require ("config/conf.php"); 
	include ('inc/footer.inc.php');
	include ('inc/pub.inc.php');
	include ('inc/variables.inc.php');
	include ('inc/fonctions.inc.php');
	
	$var['journal_name'] = $setting['journal_name'];
	
	//si une édition est choisit, on affiche la page journal.php
	if ($_GET['id'] != "null") {
	
		$ID = $_GET['id'];
		include("inc/journal.inc.php");

	//list des membres?
	} else if ($_GET['show'] == "list" && $setting['allow_member_list'] == "true")  {
	
		include("inc/list.inc.php");
		
		//on inclus l'afficheur
		include('template/'.$setting['template'].'/display.php');

	//si aucune édition n'est choisit, on affiche la liste
	} else {
	
		?>
       	<html>
        <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
        <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="template/<?php echo $setting['template'] ?>/style.css">
        <link rel="stylesheet" type="text/css" href="inc/bbcode.css">
        <title><?php echo $setting['journal_name'] ?></title>
      	</head>
        
        <body>        
        <?php
		
		
		function display_head() {}
		function display_menu($str) {
		
			 return "false"; 
		}
		

		function display_generic() {
		
			global $DBprfx,$DBConn,$i,$setting;
		
			?>
			<div class="menu_edition_title">Liste des &eacute;ditions</div><br />
			<div class="menu_edition_link">
            
            <!---------------------------------------------------------------------------------->
			<!-- Ici on peut mettre des éditions passé n'ayant pas été créer avec HMN journal -->
            <!---------------------------------------------------------------------------------->
            
			<?php
			
			
			if ($setting['ed_display_order'] != "" ) {
			
				$ORDER = ' ORDER BY '.$setting['ed_display_order'];
			
			} else {
			
				$ORDER = '';
			
			}
		
			
			//Sélection de la table
			$sql = 'SELECT * FROM ' . $DBprfx . 'edition' . $ORDER;
			$edition = mysql_query($sql, $DBConn) or die(mysql_error());
			$nb_edition = mysql_num_rows($edition);
			
			if ($nb_edition == 0) {
			
				?><span class="error">Aucune Édition de disponible pour le moment</span><?php
			
			} else {
				
				while ($array = mysql_fetch_array($edition)) {
					$edition_id = mysql_result($edition, $i, 'edition_ID');
					$edition_titre = mysql_result($edition, $i, 'edition_titre');
					$edition_description = mysql_result($edition, $i, 'edition_description');
					$edition_validity = mysql_result($edition, $i, 'edition_validity');
			
					if ($edition_validity == 1) {
						?><a href=index.php?id=<?php echo $edition_id; ?> title="<?php echo $edition_description; ?>">
						<?php echo $edition_titre;?></a><br><?php
				
					} 
					$i++;
				}
			}	
			?></div><?php
		}
		//on inclus l'afficheur
		include('template/'.$setting['template'].'/display.php');
	}		
}	?>
</body>
</html>