<?php 

//on vérifie si l'application est installé
if (!file_exists('config/conf.php')) {
	echo "Script non configur&eacute; - Renseignez-vous aupr&egrave; de la documentation du script";

//si conf.php existe...
} else {

	//on prend les données du fichier de configuration 
	require ("config/conf.php"); 
	include ('inc/footer.inc.php');
	include ('inc/pub.inc.php');
	include ('inc/variables.inc.php');
	include ('inc/fonctions.inc.php');
	include ('inc/bbcode.inc.php');
	
	$var['journal_name'] = $setting['journal_name'];

	?>
    <html>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="template/<?php echo $setting['template'] ?>/style.css">
    <link rel="stylesheet" type="text/css" href="inc/bbcode.css">
    <title><?php echo $setting['journal_name'] ?> - Pigistes</title>
    </head>
    
    <body>        
    <?php
    
    
    function display_head() {	echo "Soumettre un article";	}
    function display_menu($str) { return "false"; }
       
   	function form() {
	
		global $name,$titre,$texte,$email;
		
		?><form action="soumettre.php" enctype="multipart/form-data" name="form" method="post">
        	<table width="250" border="0" class="texte1">
              <tr>
                <td>Votre nom:</td>
                <td><input type="text" name="name" size="30" value="<? echo $name ?>" /></td>
              </tr>
              <tr>
                <td>Adresse email:</td>
                <td><input type="text" name="email" size="30" value="<? echo $email ?>" /></td>
              </tr>
              <tr>
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr>
                <td>Titre de l'article</td>
                <td><input type="text" name="titre" size="45" value="<? echo $titre ?>" /></td>
              </tr>
            </table>
            <br /><div class="texte1">Texte:</div>
            <? bb_code_btn("texte"); ?>
			<textarea style="width:500px;height:300px" name="texte" wrap="virtual"><? echo $texte ?></textarea>
            <br />
            <input type="submit" name="submit" value="Envoyer" />
            <input type="submit" value="Pr&eacute;visualisation" name="preview" />
        </form>
		
		<?
	
	}


/////////////
//AFFICHAGE//
/////////////
	
	
	function display_generic() {
		
		global $DBConn,$DBprfx,$setting,$titre,$name,$texte,$email;
		
		?><div id="left"><?
		//on vérifie que les pigistes sont autorisé
		if ($setting['allow_pigiste'] == "true") {
			
		///////////
		//PREVIEW//
		///////////
	
			//Mode preview
		if (isset($_POST['preview'])) {
	
			$titre = stripslashes($_POST['titre']);
			$titre = preg_replace ('/\</is', '&lt;', $titre); //on enlève le HTML.
			
			$name = $_POST['name'];
			$name = preg_replace("/[#$%^&*()><\"+=]/", "", $name); //on enlève le HTML et caractères trop spéciaux.
			
			$email = $_POST['email'];
			$email = preg_replace("/[#$%^&*()><\"+=]/", "", $email); //on enlève le HTML et caractères trop spéciaux.
			
			$texte = stripslashes($_POST['texte']);
			$texte = preg_replace ('/\</is', '&lt;', $texte); //on enlève le HTML.
		
			?>
			<strong>Pr&eacute;visualisation:</strong><br />
			<table class="preview"><tr><td align="left	"><?
			
			//on formate le BBcode
			$article_texte_clean = bbcode_format(remove_html($texte));
			
			
			?><span class="article_title"><? echo $titre ?></span><br>
			  <span class="article_auteur">Par <? echo $name ?> - Collaboration sp&eacute;ciale</span><br /><br>
			  <span class="article_texte"><? echo $article_texte_clean; ?></span><?
			  
			?></td></tr></table>
			<br /><br /> 
	
			<? form();
	
//////////
//Envoie//	
//////////
	
		//Si le formulaire est envoyé...
		} else if (isset($_POST['submit'])) {
		
		
		
			$titre = $_POST['titre'];
			$titre = preg_replace ('/\</is', '&lt;', $titre); //on enlève le HTML.
			
			$name = $_POST['name'];
			$name = preg_replace("/[#$%^&*()><\"+=]/", "", $name); //on enlève le HTML et caractères trop spéciaux.
			
			$texte = $_POST['texte'];
			$texte = preg_replace ('/\</is', '&lt;', $texte); //on enlève le HTML.
			
			$email = $_POST['email'];
			$email = preg_replace("/[#$%^&*()><\"+=]/", "", $email); //on enlève le HTML et caractères trop spéciaux.
			
			$article_validity = "0";
			$article_parent = "0";
			$temp_pass = "pass";
			$right_pigiste = "5";
		
			//On vérifie si l'article a un titre
			if ($titre == "") { 
				?><span class="error">Veuillez pr&eacute;ciser un titre</span><?
				form();
	
			} else if ($texte == "") { 
				?><span class="error">Veuillez &eacute;crire du texte!</span><?
				form();
	
			} else if ($email == "") { 
				?><span class="error">Merci de pr&eacute;ciser votre adresse email</span><?
				form();
	
			} elseif ($name == "") { 
				?><span class="error">Merci de pr&eacute;ciser votre nom</span><?
				form();
	
			} else  {
			
				//on vérifie si le nom est déjà utilisé.						
				$sql_get = "SELECT * FROM " . $DBprfx . "user WHERE name='" . addslashes($name) . "'";
				$member = mysql_query($sql_get, $DBConn) or die(mysql_error());
				$ligne = mysql_fetch_array($member, MYSQL_ASSOC);
	
				//si le nom est pas déjà prit, on l'ajoute en tant que pigiste
				if ($ligne['ID'] == "") {
				
					$sql2 = 'INSERT INTO ' . $DBprfx . 'user (`ID`,`name`,`pass`,`right`,`email`) 
						  VALUES (\'\','
						   . '\'' . addslashes(remove_html($name)) . '\',' 
						   . '\'' . md5($temp_pass) . '\',' 
						   . '\'' . $right_pigiste . '\','
						   . '\'' . addslashes(remove_html($email)) . '\'
						   )';
					$insert_member = mysql_query($sql2, $DBConn) or die(mysql_error());
					
					$pigiste_ID = mysql_insert_id();
				
				} else if ($ligne['right'] != 5) {
					?><span class="error">Impossible de proposer un article avec ce nom d'utilisateur. Si vous avez acc&egrave;s &agrave; l'espace d'administration, proposer votre article depuis cet espace.</span><?
					form();
					
					exit();
				
				
				//sinon on va chercher son ID
				} else {
				
					$pigiste_ID = $ligne['ID'];
				
				}
					
				//on insère dans MySQL
				$sql = 'INSERT INTO ' . $DBprfx . 'article (`article_ID`,`article_titre`,`article_auteur`,`article_parent`,`article_texte`,`article_validity`) 
						  VALUES (\'\','
						   . '\'' . addslashes(remove_html($titre)) . '\',' 
						   . '\'' . $pigiste_ID . '\',' 
						   . '\'' . $article_parent . '\',' 
						   . '\'' . addslashes(remove_html($texte)) . '\','
						   . '\'' . $article_validity . '\'
						   )';
						   
				$insert = mysql_query($sql, $DBConn) or die(mysql_error());	
				
				$last_ID = mysql_insert_id();
				
				$app_url = "http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
				$app_url = substr($app_url,0 ,-14);
				$app_url = $app_url."/admin.php?module=articles&do=read&ID=".$last_ID."&from=all";
				
				$date = date('Y-m-d H:i:s');
						
				
				//on envoie un message aux admins et editeur si demandé.
				//Le order by n'est que pour trouver le premier admin
				$sqmail = "SELECT `ID`,`send_email`,`email`,`name` FROM " . $DBprfx . "user WHERE `right` = '2' UNION SELECT `ID`,`send_email`,`email`,`name`  FROM " . $DBprfx . "user WHERE `right` = '4' ORDER BY `ID` ASC";
				
				$mail_to = mysql_query($sqmail, $DBConn) or die(mysql_error());
				$ligne_mail = mysql_fetch_array($mail_to, MYSQL_ASSOC);
				$nb = mysql_num_rows($mail_to);
				
							
				$i = 0;
				while ($array = mysql_fetch_array($mail_to)) {
					$send_email = mysql_result($mail_to, $i, 'send_email');
					$aname = mysql_result($mail_to, $i, 'name');
					$aemail = mysql_result($mail_to, $i, 'email');
		
					 if ($send_email == 1) {
						 
						// $user = get_username($_SESSION['user']);
						 $Subject = (remove_html($name))." (Pigiste) vient de soumettre un article pour ".$setting['journal_name'];
					   $EmailBody = "Bonjour ".$aname.",\n\n ".(remove_html($name))." (pigiste) désire soumettre un article pour ".$setting['journal_name'].".\nVous pouvez consulter son article à l'adresse suivante: ".$app_url." \n\n Bonne journée\nEnvoyé le: ".$date;
				 
						 mail($aname." <".$aemail.">",$Subject, $EmailBody, "From: ".$setting['journal_name']." <".$ligne_mail['email'].">");
						 
					}
					
					$i++;
				}			 
				
		
				//affiche un message de succes  
				?>Merci de votre article!<br /> 
				<a class="retour" title="Retour" href="index.php">Retour</a>
				<?
			}
			
			
		} else {
			
			
//////////////
//FORMULAIRE//
//////////////
		
			//on affiche le formulaire
			form();
				
				
			}
			
		} else {
		
		?>
		<span class="error">Le module pigiste n'est pas activ&eacute;</span>
		<?
		
		}
		?></div><?
    }
    
    //on inclus l'afficheur
	include('template/'.$setting['template'].'/display.php');
  
	
	
} ?> 
</body>
</html>